## org.eclipse.datatools.connectivity.oda.spec.valueexpr
Class InternalValueExprFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.valueexpr.InternalValueExprFactory

    public class InternalValueExprFactory

extends java.lang.Object

Internal factory of package classes.

Constructor Summary
`InternalValueExprFactory()`

Method Summary
`static CombinedValueExpressionOperator` `createCombinedOperator(java.lang.String id, java.lang.String literal)`
`static CustomFunction` `createCustomFunction(java.lang.String extensionId, java.lang.String id)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalValueExprFactory

    public InternalValueExprFactory()

Method Detail

### createCustomFunction

    public static CustomFunction createCustomFunction(java.lang.String extensionId,
                                                      java.lang.String id)

### createCombinedOperator

    public static CombinedValueExpressionOperator createCombinedOperator(java.lang.String id,
                                                                         java.lang.String literal)